> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seam.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Entrances to a Space

> Adds [entrances](https://docs.seam.co/low-level-apis/access-systems/retrieving-entrance-details) to a specific space.



## OpenAPI

````yaml /openapi.json post /spaces/add_acs_entrances
openapi: 3.0.0
info:
  title: Seam Connect
  version: 1.0.0
servers:
  - url: https://connect.getseam.com
security: []
tags:
  - description: access_codes
    name: /access_codes
  - description: acs
    name: /acs
  - description: action_attempts
    name: /action_attempts
  - description: client_sessions
    name: /client_sessions
  - description: connected_accounts
    name: /connected_accounts
  - description: connect_webviews
    name: /connect_webviews
  - description: devices
    name: /devices
  - description: events
    name: /events
  - description: health
    name: /health
  - description: locks
    name: /locks
  - description: networks
    name: /networks
  - description: noise_sensors
    name: /noise_sensors
  - description: phones
    name: /phones
  - description: thermostats
    name: /thermostats
  - description: user_identities
    name: /user_identities
  - description: webhooks
    name: /webhooks
  - description: workspaces
    name: /workspaces
paths:
  /spaces/add_acs_entrances:
    post:
      tags: []
      summary: Add Entrances to a Space
      description: >-
        Adds
        [entrances](https://docs.seam.co/low-level-apis/access-systems/retrieving-entrance-details)
        to a specific space.
      operationId: spacesAddAcsEntrancesPost
      requestBody:
        content:
          application/json:
            schema:
              properties:
                acs_entrance_ids:
                  description: IDs of the entrances that you want to add to the space.
                  items:
                    format: uuid
                    type: string
                  minItems: 1
                  type: array
                space_id:
                  description: ID of the space to which you want to add entrances.
                  format: uuid
                  type: string
              required:
                - space_id
                - acs_entrance_ids
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  ok:
                    type: boolean
                required:
                  - ok
                type: object
          description: OK
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
      security:
        - pat_with_workspace: []
        - console_session_with_workspace: []
        - api_key: []
        - client_session_with_customer: []
      x-codeSamples:
        - lang: javascript
          label: Seam SDK
          source: |-
            await seam.spaces.addAcsEntrances({
              space_id: "9f930664-c0d8-441b-8d66-2b1d0d2466f4",
              acs_entrance_ids: ["b127a710-db3e-402c-afdf-5474769b1d83"],
            });

            /*
            // void
            */
        - lang: bash
          label: cURL
          source: >-
            curl --include --request POST
            "https://connect.getseam.com/spaces/add_acs_entrances" \
              --header "Authorization: Bearer $SEAM_API_KEY" \
              --json @- <<EOF
            {
              "space_id": "9f930664-c0d8-441b-8d66-2b1d0d2466f4",
              "acs_entrance_ids": [
                "b127a710-db3e-402c-afdf-5474769b1d83"
              ]
            }

            EOF


            # Response:

            # {}
        - lang: python
          label: Seam SDK
          source: |-
            seam.spaces.add_acs_entrances(
                space_id="9f930664-c0d8-441b-8d66-2b1d0d2466f4",
                acs_entrance_ids=["b127a710-db3e-402c-afdf-5474769b1d83"],
            )

            # None
        - lang: ruby
          label: Seam SDK
          source: |-
            seam.spaces.add_acs_entrances(
              space_id: "9f930664-c0d8-441b-8d66-2b1d0d2466f4",
              acs_entrance_ids: ["b127a710-db3e-402c-afdf-5474769b1d83"],
            )

            # => nil
        - lang: php
          label: Seam SDK
          source: |-
            $seam->spaces->add_acs_entrances(
                space_id: "9f930664-c0d8-441b-8d66-2b1d0d2466f4",
                acs_entrance_ids: ["b127a710-db3e-402c-afdf-5474769b1d83"],
            );
        - lang: bash
          label: Seam CLI
          source: >-
            seam spaces add-acs-entrances --space_id
            "9f930664-c0d8-441b-8d66-2b1d0d2466f4" --acs_entrance_ids
            ["b127a710-db3e-402c-afdf-5474769b1d83"]


            # {}
components:
  securitySchemes:
    pat_with_workspace:
      bearerFormat: API Token
      scheme: bearer
      type: http
    console_session_with_workspace:
      bearerFormat: Console Session Token
      scheme: bearer
      type: http
    api_key:
      bearerFormat: API Key
      scheme: bearer
      type: http
    client_session_with_customer:
      bearerFormat: Customer Client Session Token
      scheme: bearer
      type: http

````